Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.zest
Class ZestContentProvider

    java.lang.Object
      org.eclipse.amp.agf.zest.ZestContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider, org.eclipse.zest.core.viewers.IGraphEntityContentProvider

    public class ZestContentProvider

extends java.lang.Object
implements org.eclipse.zest.core.viewers.IGraphEntityContentProvider

Author:
  mparker

Constructor Summary
`ZestContentProvider(IGraphProvider graphProvider, ICompositionProvider compostionProvider)`

Method Summary
`void` | `dispose()`
`java.lang.Object[]` | `getConnectedTo(java.lang.Object object)`
`java.lang.Object[]` | `getElements(java.lang.Object parent)`
`void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZestContentProvider

    public ZestContentProvider(IGraphProvider graphProvider,
                               ICompositionProvider compostionProvider)

Method Detail

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             java.lang.Object oldInput,
                             java.lang.Object newInput)

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### getElements

    public java.lang.Object[] getElements(java.lang.Object parent)

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`
  Specified by:
    `getElements` in interface `org.eclipse.zest.core.viewers.IGraphEntityContentProvider`

### getConnectedTo

    public java.lang.Object[] getConnectedTo(java.lang.Object object)

  Specified by:
    `getConnectedTo` in interface `org.eclipse.zest.core.viewers.IGraphEntityContentProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD